Summary: A program to list files with descriptions of their purpose.
Name: whatfor
Version: 0.3.05
Release: 1
Copyright: GPL
Group: File tools
Source: whatfor-0.3.05-1.tgz
URL: http://ourworld.compuserve.com/homepages/KanjiFlash/whatfor.tgz
BuildRoot: /usr/src/RPM/BUILD/%{name}-%{version}-buildroot

%description
An 'ls'-like utility that appends one-line file and
directory descriptions to the listed names.  whatfor is
designed to help newcomers to Linux (or UNIX) become familiar
with the purpose of the large number of system files.
The whatfor database currently contains about 3500 entries.

%prep
%setup -q
%build
make 
make whatfor_db
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/share/whatfor

install -s -m 755 whatfor $RPM_BUILD_ROOT/usr/bin/whatfor
install -m 644 whatfor_db $RPM_BUILD_ROOT/usr/share/whatfor/whatfor_db
install -m 644 whatfor.1 $RPM_BUILD_ROOT/usr/share/man/man1/whatfor.1
install -m 644 whatfor_db.5 $RPM_BUILD_ROOT/usr/share/man/man5/whatfor_db.5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README

/usr/bin/whatfor
/usr/share/whatfor/whatfor_db
/usr/share/man/man1/whatfor.1.bz2
/usr/share/man/man5/whatfor_db.5.bz2

%changelog
